PHP ��U
前一頁 |  | 下一頁

# ftp_rawlist

(PHP 3 >= 3.0.13, PHP 4, PHP 5)

ftp_rawlist -- Returns a detailed list of files in the given directory

## Description

array ftp_rawlist ( resource ftp_stream, string directory [, bool recursive] )

ftp_rawlist() executes the FTP LIST command, and returns the result as an array.

## Parameters

ftp_stream

  The link identifier of the FTP connection.

directory

  The directory path.

recursive

  If set to `TRUE`, the issued command will be LIST -R.

## Return Values

Returns an array where each element corresponds to one line of text.

The output is not parsed in any way. The system type identifier returned by ftp_systype() can be used to determine how the results should be interpreted.

## �d��

範例 1. ftp_rawlist() example

`<?php // set up basic connection $conn_id = ftp_connect($ftp_server); // login with username and password $login_result = ftp_login($conn_id, $ftp_user_name, $ftp_user_pass); // get the file list for / $buff = ftp_rawlist($conn_id, '/'); // close the connection ftp_close($conn_id); // output the buffer var_dump($buff); ?>`

The above example will output something similar to:

    array(3) {
      [0]=>
      string(65) "drwxr-x---   3 vincent  vincent      4096 Jul 12 12:16 public_ftp"
      [1]=>
      string(66) "drwxr-x---  15 vincent  vincent      4096 Nov  3 21:31 public_html"
      [2]=>
      string(73) "lrwxrwxrwx   1 vincent  vincent        11 Jul 12 12:16 www -> public_html"
    }

## ChangeLog

Version | Description
--- | ---
4.3.0 | recursive was added.

## �Ѧ�

ftp_nlist()

前一頁 | 內容 | 下一頁
ftp_raw | 上一層 | ftp_rename